Loading...
Searching...
No Matches
_RandomInfo Struct Reference

## Data Fields

SignatureInfo * | signature_info
StringInfo * | nonce
StringInfo * | reservoir
size_t | i
MagickSizeType | seed [4]
double | normalize
unsigned long | secret_key
unsigned short | protocol_major
unsigned short | protocol_minor
SemaphoreInfo * | semaphore
time_t | timestamp
size_t | signature

## Detailed Description

Definition at line 83 of file random.c.

## Field Documentation

## i

size_t _RandomInfo::i

Definition at line 93 of file random.c.

## nonce

StringInfo* _RandomInfo::nonce

Definition at line 89 of file random.c.

## normalize

double _RandomInfo::normalize

Definition at line 99 of file random.c.

## protocol_major

unsigned short _RandomInfo::protocol_major

Definition at line 105 of file random.c.

## protocol_minor

unsigned short _RandomInfo::protocol_minor

Definition at line 106 of file random.c.

## reservoir

StringInfo * _RandomInfo::reservoir

Definition at line 90 of file random.c.

## secret_key

unsigned long _RandomInfo::secret_key

Definition at line 102 of file random.c.

## seed

MagickSizeType _RandomInfo::seed[4]

Definition at line 96 of file random.c.

## semaphore

SemaphoreInfo* _RandomInfo::semaphore

Definition at line 109 of file random.c.

## signature

size_t _RandomInfo::signature

Definition at line 115 of file random.c.

## signature_info

SignatureInfo* _RandomInfo::signature_info

Definition at line 86 of file random.c.

## timestamp

time_t _RandomInfo::timestamp

Definition at line 112 of file random.c.

The documentation for this struct was generated from the following file:

- random.c